libapache2-mod-authnz-external_3.3.2-0.1+b1_amd64.deb


Advertisement

Description

libapache2-mod-authnz-external - authenticate Apache against external authentication services

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libapache2-mod-authnz-external
Package version 3.3.2
Package release 0.1+b1
Package architecture amd64
Package type deb
Installed size 43 B
Download size 24.76 KB
Official Mirror ftp.br.debian.org
Mod_Authnz_External can be used to quickly construct secure, reliable
authentication systems.  It can also be mis-used to quickly open gaping
holes in your security.  Read the documentation, and use with extreme
caution.
Notably, this module can be used to securely authenticate against PAM
(without exposing /etc/shadow file), using, for example, pwauth
authenticator.
This Package includes the mod-authnz-external Module for Apache Version 2.x

Alternatives

Package Version Architecture Repository
libapache2-mod-authnz-external_3.3.2-0.1+b1_i386.deb 3.3.2 i386 Debian Main
libapache2-mod-authnz-external - - -

Requires

Name Value
apache2-api-20120211 -
libc6 >= 2.4

Download

Type URL
Binary Package libapache2-mod-authnz-external_3.3.2-0.1+b1_amd64.deb
Source Package libapache2-mod-authnz-external

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapache2-mod-authnz-external deb package:
    # sudo apt-get install libapache2-mod-authnz-external

Files

Path
/etc/apache2/mods-available/authnz_external.load
/usr/lib/apache2/modules/mod_authnz_external.so
/usr/share/doc/libapache2-mod-authnz-external/AUTHENTICATORS.gz
/usr/share/doc/libapache2-mod-authnz-external/README.Debian
/usr/share/doc/libapache2-mod-authnz-external/README.gz
/usr/share/doc/libapache2-mod-authnz-external/changelog.Debian.amd64.gz
/usr/share/doc/libapache2-mod-authnz-external/changelog.Debian.gz
/usr/share/doc/libapache2-mod-authnz-external/changelog.gz
/usr/share/doc/libapache2-mod-authnz-external/copyright

Changelog

2014-05-06 - Petr Čech <cech@debian.org>
libapache2-mod-authnz-external (3.3.2-0.1) unstable; urgency=low
* Non-maintainer upload.
* New upstream release needed for Apache 2.4.1+.
* debian/control: fix description (Closes: #614073)
2013-07-10 - Colin Watson <cjwatson@debian.org>
libapache2-mod-authnz-external (3.3.1-0.1) unstable; urgency=low
* Non-maintainer upload.
* New upstream release, suitable for Apache 2.4 (closes: #633638).
* Port packaging to Apache 2.4 (closes: #666815).
* Update debian/watch.
2011-07-18 - Steffen Joeris <white@debian.org>
libapache2-mod-authnz-external (3.2.4-2.1) unstable; urgency=high
* Non-maintainer upload by the security team
* Fix SQL injection via the $user paramter (Closes: #633637)
Fixes: CVE-2011-2688
2009-06-26 - Hai Zaar <haizaar@haizaar.com>
libapache2-mod-authnz-external (3.2.4-2) unstable; urgency=low
* libapache2-mod-authnz-external does not install the .load file
(Closes: #534492)
2009-05-21 - Hai Zaar <haizaar@haizaar.com>
libapache2-mod-authnz-external (3.2.4-1) unstable; urgency=low
* Initial release (Closes: #526786)

See Also

Package Description
libapache2-mod-authnz-pam_0.9.3-1_amd64.deb PAM authorization checker and PAM Basic Authentication provider
libapache2-mod-authnz-persona_0.8.1-1_amd64.deb Apache module implementing Persona authentication
libapache2-mod-authz-securepass_0~20140715+0git93f271f5-3_amd64.deb Apache2 module for authorizing SecurePass users
libapache2-mod-authz-unixgroup_1.1.0-0.1_amd64.deb access control based on on unix group membership for Apache
libapache2-mod-bw_0.92-11_amd64.deb bandwidth limiting module for apache2
libapache2-mod-dacs_1.4.28b-3_amd64.deb Distributed Access Control System (DACS) - Apache Module
libapache2-mod-defensible_1.4-3.1_amd64.deb module for Apache2 which provides DNSBL usage
libapache2-mod-dnssd_0.6-3.1_amd64.deb Zeroconf support for Apache 2 via avahi
libapache2-mod-encoding_20040616-5.2_amd64.deb Apache2 module for non-ascii filename interoperability
libapache2-mod-evasive_1.10.1-3_amd64.deb evasive module to minimize HTTP DoS or brute force attacks
libapache2-mod-fcgid_2.3.9-1+b1_amd64.deb FastCGI interface module for Apache 2
libapache2-mod-form-dev_0~svn146-1_all.deb Apache module to decode data submitted from Web forms (development files)
libapache2-mod-form_0~svn146-1_amd64.deb Apache module to decode data submitted from Web forms
libapache2-mod-geoip_1.2.8-2_amd64.deb GeoIP support for apache2
libapache2-mod-intercept-form-submit_0.9.8-1_amd64.deb Apache module to intercept login form submission and run PAM authentication
Advertisement
Advertisement